// subvbctl.h : interface of the CVBClone class and CMyCircleMyCircleclass
//
/////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////
// CVBClone
//                

//*************************************************************
//  Class:
//      CVBClone
//
//  Description:       
//      This class is used to create a derived class of CVBControl that can take
//      over control of a VBX that has been loaded into a dialog--or in any other
//      way created as a CVBControl
//
//  Derived from:
//      CVBControl
//
//
//
//  Member Functions:
//
//      SubclassVBControl - Subclasses an existing VB control
//
//  Comments
//
//  History:    Date       Author           Comment
//              05/13/93   Brian Scott      Created
//                         with help from John Seghers
//
//*************************************************************  

class CVBClone : public CVBControl
{
protected:
	CVBClone() {}		// protect the constructor to only allow derived
						// classes to be created
	
public:
	void SubclassVBControl(CWnd* pWnd, UINT idChild, BOOL bEmbedded);
};


/////////////////////////////////////////////////////////////////////////////
// CMyGrid
//       
// This class subclasses the grid control and requests that the arrow keys
// get passed to the control.
//
   
class CMyGrid : public CVBClone
{    
      // Construction
public:
	CMyGrid();

// Attributes
public:

// Operations
public:

// Implementation
public:
	virtual ~CMyGrid();


   // Generated message map functions
protected:
	//{{AFX_MSG(CMyGrid)
	afx_msg UINT OnGetDlgCode();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};   
 
 